# Web API Documentation - Draft

## /api/info

### GET

```json
{
    "supportedVersions": [
        "<VERSION IDENTIFIER>"
    ],
    "partitions": [
        "us",
        "uk"
        // ...
    ],
    "heartbeatTimeoutDuration": 7
}
```

## /api/query

### POST

```json
{
    // if this is unspecified/null, infer a default partition
    "partition": "us",
    ""
    // Validated against a server-side maximum and minimum
    "count": 7,
    // Validated to prevent out-of-bounds issues.
    // This allows reading a slice of the instances,
    // allowing pagination.
    "offset": 0
}
```

## /api/connect



## /api/heartbeat

```json
{
    "token": 
}
```